About VAIO Smart Network

VAIO Smart Network is provided for switching the different multiple network settings quickly and enabling/disabling wireless functions and communication devices on a single window.
  • You can configure the network settings to the most appropriate ones and specify a software application to launch automatically when switching the network settings.
  • You can select the wireless function to enable when turning on the wireless switch and specify the IP or DNS server address.

Before using VAIO Smart Network

You need to configure the network settings on your computer to connect to a network or the settings for a dial-up Internet connection. For detail information on how to configure those settings, see the User Guide that came with your computer.


Starting and Exiting

To start VAIO Smart Network

With the default settings, VAIO Smart Network starts automatically when you turn on your computer.

If [image] (VAIO Smart Network icon) is not displayed on the taskbar, follow these steps to start VAIO Smart Network.
  1. Click Start [image], All Programs, and VAIO Central (or VAIO Control Center).
  2. Double-click Network Connections and VAIO Smart Network.

To exit VAIO Smart Network

Click [image] in the upper right corner of the window. VAIO Smart Network resides on the taskbar even after you closed the window. To exit the software completely, right-click [image] (VAIO Smart Network) on the taskbar and select Exit.


Feature and Controls

VAIO Smart Network has three types of window.
  • Main window
  • Floating window
  • Settings window

Main window

The main window appears when you turn on your computer.

Hint

If you selected an option not to start VAIO Smart Network when turning on your computer, right-click [image] (VAIO Smart Network icon) on the taskbar and select Show main window.

Normal view

A Wireless function/Device indicators
  • For WWAN, WLAN, and Bluetooth functions
    When the function is enabled, the corresponding indicator turns on.
    You can enable or disable the function by clicking the corresponding indicator.
  • For LAN and modem devices
    When the device is used, the corresponding indicator turns on.
B Wireless function/Device list
Displays the available wireless functions and devices.

Note

The available wireless functions and devices are different depending on your computer.
C Information view button
Hides/Shows the information view for each wireless function and device.
D Help button
Displays this help file.
E Settings button
Displays the Settings window and configure the settings for each wireless function and device.

Information view

A Wireless function/Device information
Displays the current settings for each wireless function and device.

Hint

When you select WWAN, you can launch Wireless WAN Connection Utility by clicking this information area.

Floating window

The floating window appears when you turn on your computer.

Hint

If you selected an option not to display the floating window, right-click [image] (VAIO Smart Network icon) on the taskbar and select Show floating window.

The indicators above each logo in the floating window indicate the current usage of the wireless functions and devices.
  • For WWAN, WLAN, and Bluetooth functions
    When the function is enabled, the corresponding indicator turns on.
    You can enable or disable the function by clicking the corresponding indicator.
  • For LAN and modem devices
    When the device is used, the corresponding indicator turns on.

Hint

To close the floating window, right-click [image] (VAIO Smart Network icon) on the taskbar and select Hide floating window.


Creating a Profile

VAIO Smart Network retains information, referred to as a profile, about the network settings for each wireless function and device you use.
  1. Connect your computer to the network for which you want to create the profile.
    The notification window appears on the taskbar.
  2. Click Create.
    A window will be displayed to help you create a new profile.
  3. Perform one of the following operations.
    • Use current network configuration
      VAIO Smart Network will read the configuration of the network to which your computer is currently connected. To use the configuration as is to create a profile, enter a name for this profile and then click OK or Apply.
    • Customize the network configuration
      You can modify the network configuration, read by VAIO Smart Network, or specify any setting values when creating a profile.


Connecting to a Network

Connect your computer to a network using an exiting profile.
  1. Connect your computer to the network.
    The network to which the computer can connect is automatically detected.
    • If the detected network has only one profile
      The computer automatically connects to the network using the profile.
    • If the detected network has multiple profiles
      Select the desired profile and click Switch. The computer starts connecting to the detected network using the selected profile.

To switch profiles manually

You can switch profiles manually in the following cases.
  • If a profile did not switch when the notification window was displayed.
  • If automatic switching is disabled.
  • If, for some reason, the profile did not switch automatically.

To switch the profile manually, follow these steps.
  1. Click [image] next to the desired wireless function or device.
    The information view is displayed.
  2. Click Settings.
  3. Select the desired profile from the Profile Selection drop-down list.

    Hint

    The available drop-down lists are different depending on the wireless function and device.
  4. Click OK.


Configuring the Settings for Each Wireless Function and Device

Follow these steps to configure the settings for each wireless function and device.
  1. Click [image] next to the desired device in the main window.
    The information view for the desired wireless function or device is displayed.
  2. Click Settings.
    The Settings window appears.

    Hint

    If you click Settings without displaying the information view, you can configure the common settings for all wireless functions and devices in the Settings window.
  3. Configure the settings for each wireless function and device.
    • WWAN
    • WLAN
    • Bluetooth function
    • LAN
    • Modem

    Note

    The available wireless functions and devices are different depending on your computer.
After configuring the settings, click OK.


General Setting

You can configure the common settings for all wireless functions and devices in the Settings window. To display the Settings window, click Settings without displaying the information view.

Hint

You can also display the window to configure the common settings by clicking the General Setting tab in the Settings window.

After configuring the settings, click OK.
Launch VAIO Smart Network on Vista startup
Select this check box to launch VAIO Smart Network when turning on your computer.
Launch VAIO Smart Network when turning on wireless switch
Select this check box to launch VAIO Smart Network when turning on the wireless switch.
Switch LAN/WLAN profile automatically
Select this check box to switch a LAN or WLAN profile automatically. Automatic WLAN profile switching may not be supported depending on the country or region.
Always on top
Select this check box to display the main window on the top of the screen all the time.


Wireless WAN

You can configure the settings for the wireless WAN connection.
Status
Select an option to enable or disable the wireless WAN function from the drop-down list.
Wireless WAN Connection Utility Settings
Configure the settings for the Wireless WAN Connection Utility used for the wireless WAN connection.
  • Application
    Specify an executable file for the Wireless WAN Connection Utility. Click Browse and specify the file.
  • Working Folder
    Specify a working folder for the Wireless WAN Connection Utility. Click Browse and specify the folder.
  • Options
    Specify options if the Wireless WAN Connection Utility has the options.
Activation button
Launches the activation tool.
Connection Utility button
Launches the Wireless WAN Connection Utility you specified.


Wireless LAN (Settings window)

Wireless LAN

You can configure the settings for the wireless LAN connection.

Hint

You may not be able to change the wireless LAN connection settings depending on your Wireless WAN Connection Utility.
Mode
Select the desired bandwidth or WLAN OFF to disable the wireless LAN function from the drop-down list.

Hint

Other options may not be displayed depending on a network to which your computer has connected. In such a case, click the Connection Utility button to launch the Wireless WAN Connection Utility.
Profile Selection
Select a profile used for the wireless LAN connection from the drop-down list.

Hint

The profile settings are listed under the Profile Selection drop-down list.
Diagnose button
Starts Windows Network Diagnostics. When the network diagnostics is complete, the result is displayed. If any problems are found, follow the on-screen instructions.

Hint

Windows Network Diagnostics helps you identify and resolve network problems.
Advanced Settings button
Displays the Advanced Settings window to specify the detail settings of the profile you selected in Profile Selection.

Note

Do not change the detail settings if you are not familiar with the network. Automatic profile switching may not be performed correctly if you specify the incorrect settings.
Switch Profile button
Connects to a network using the profile you selected in Profile Selection.


Bluetooth function

You can configure the settings for the Bluetooth connection.
Status
Select an option to enable or disable the Bluetooth function from the drop-down list.
Bluetooth Manager button
Launches the Bluetooth settings manager.


LAN (Settings window)

LAN

You can configure the settings for the network connected to your computer with a LAN cable.
Profile Selection
Select a profile used for the LAN connection from the drop-down list.

Hint

The profile settings are listed under Profile Selection.
Advanced Settings button
Displays the Advanced Settings window to specify the detail settings of the profile you selected in Profile Selection.

Note

Do not change the detail settings if you are not familiar with the network. Automatic profile switching may not be performed correctly if you specify the incorrect settings.


Modem (Settings window)

Modem

You can configure the settings for a dial-up connection using a modem.
Enable Auto Dial
Select this check box to enable the automatic dial-up connection.
Default Dial-up Connection
Select a default dial-up connection for connecting to a network from the drop-down list.

Note

You need to set up a dial-up connection in advance.
Set Auto Dial button
Saves the auto dial-up connection settings.
Profile Selection
Select a profile used for the dial-up connection from the drop-down list.
Advanced Settings button
Displays the Advanced Settings window to specify the detail settings of the profile you selected in Profile Selection.

Note

Do not change the settings if you are not familiar with the network.


Wireless LAN (Advanced Settings window)

Wireless LAN

You can configure the detail settings for the wireless LAN connection in the Advanced Settings window. To display the window, click the Advanced Settings button in the Settings window (on the WLAN tab).
WLAN Profile List
Displays a list of all profiles used for the wireless LAN connection.
New button
Creates a new profile.
Edit button
Displays the window to edit the profile you selected in the WLAN Profile List.
Delete button
Deletes the profile you selected in the WLAN Profile List.
Import button
Imports a profile.
Export button
Exports a profile.

To edit a profile

You can edit a profile in the window displayed by clicking the Edit button.
Click the desired tab.
  • General Settings tab
  • IP and DNS tab
  • Proxy Settings tab
  • Application to Launch tab
  • Default Printer tab
  • WINS tab

After editing the profile, click OK.
General Settings tab
You can edit the general profile settings.
  • Profile Name
    Enter a profile name.
  • Adapter Name
    Specify a network adapter used for connecting your computer to a network from the drop-down list.
  • Profile Type
    Displays the connection method (WLAN).
    You cannot change this setting.
  • OS WLAN Profile
    Select a network connected to your computer when using the wireless LAN connection from the drop-down list.
IP and DNS tab
You can specify the IP or DNS address assigned to your computer when switching a profile.
  • IP
    Select Obtain an IP address automatically when using the IP address issued from the DHCP server to connect to the network.
    To assign a fixed IP address to the computer to connect to the network, enter as search keys, the IP address assigned to your computer, a subnet mask matching the network to which to connect, and the IP address of the default gateway to be used.
  • DNS
    Select Obtain DNS server address automatically to get DNS setting values automatically when switching a profile. To directly specify DNS server addresses, select Use the following DNS server addresses and then enter DNS server addresses in the text boxes. You can specify both a preferred DNS server and an alternate DNS server.
Proxy Settings tab
You can configure the Internet proxy settings to apply when a profile is switched.
  • Disabled Internet Explorer proxy settings.
    Select this option if you do not want to use a proxy for the profile being created.
  • Keep Internet Explorer proxy settings.
    Select this option to use Internet Explorer setting values.
  • Specify a proxy server for your connection.
    Select this option if you want to use a proxy for the profile being created. Specify a proxy server manually and then enter a proxy server address and port number.
Application to Launch tab
You can specify a software application to launch automatically after switching to a profile that matches the network to which your computer is connected.
  • Application to Launch
    Specify an executable file for a software application launching automatically. Click Browse and specify the file.
  • Working Folder
    Specify a working folder for a software application launching automatically. Click Browse and specify the folder.
  • Options
    Specify options when a software application launching automatically has startup options.
Default Printer tab
You can change a default printer.
  • Change default printer
    Clear this check box if you do not want to change a default printer even when a profile is switched. Select the default printer from the drop-down list.
WINS tab
You can specify WINS to apply to your computer when switching a profile. To get WINS setting values automatically when switching a profile, select Obtain WINS server address automatically.
To directly specify WINS server addresses, select Use the following WINS server addresses and then enter WINS server addresses in the text boxes. You can specify both a preferred WINS server and an alternate WINS server.


LAN (Advanced Settings window)

LAN

You can configure the detail settings for the LAN connection, using a LAN cable, in the Advanced Settings window. To display the window, click the Advanced Settings button in the Settings window (on the LAN tab).
LAN Profile List
Displays a list of all profiles used for the LAN connection.
New button
Creates a new profile.
Edit button
Displays the window to edit the profile you selected in the LAN Profile List.
Delete button
Deletes the profile you selected in the LAN Profile List.
Import button
Imports a profile.
Export button
Exports a profile.

To edit a profile

You can edit a profile in the window displayed by clicking the Edit button.
Click the desired tab.
  • General Settings tab
  • IP and DNS tab
  • Proxy Settings tab
  • Application to Launch tab
  • Default Printer tab
  • WINS tab

After editing the profile, click OK.
General Settings tab
You can edit the general profile settings.
  • Profile Name
    Enter a profile name.
  • Adapter Name
    Specify a network adapter used for connecting your computer to a network from the drop-down list.
  • Profile Type
    Displays the connection method (LAN).
    You cannot change this setting.
IP and DNS tab
You can specify the IP or DNS address assigned to your computer when switching a profile.
  • IP
    Select Obtain an IP address automatically when using the IP address issued from the DHCP server to connect to the network.
    To assign a fixed IP address to the computer to connect to the network, enter as search keys, the IP address assigned to your computer, a subnet mask matching the network to which to connect, and the IP address of the default gateway to be used.
  • DNS
    Select Obtain DNS server address automatically to get DNS setting values automatically when switching a profile. To directly specify DNS server addresses, select Use the following DNS server addresses and then enter DNS server addresses in the text boxes. Specify both a preferred DNS server and an alternate DNS server.
Proxy Settings tab
You can configure the Internet proxy settings to apply when a profile is switched.
  • Disabled Internet Explorer proxy settings.
    Select this option if you do not want to use a proxy for the profile being created.
  • Keep Internet Explorer proxy settings.
    Select this option to use Internet Explorer setting values.
  • Specify a proxy server for your connection.
    Select this option if you want to use a proxy for the profile being created. Specify a proxy server manually and then enter a proxy server address and port number.
Application to Launch tab
You can specify a software application to launch automatically after switching to a profile that matches the network to which your computer is connected.
  • Application to Launch
    Specify an executable file for a software application launching automatically. Click Browse and specify the file.
  • Working Folder
    Specify a working folder for a software application launching automatically. Click Browse and specify the folder.
  • Options
    Specify options when a software application launching automatically has startup options.
Default Printer tab
You can change a default printer.
  • Change default printer
    Clear this check box if you do not want to change a default printer even when a profile is switched. Select the default printer from the drop-down list.
WINS tab
You can specify WINS to apply to your computer when switching a profile. To get WINS setting values automatically when switching a profile, select Obtain WINS server address automatically.
To directly specify WINS server addresses, select Use the following WINS server addresses and then enter WINS server addresses in the text boxes. You can specify both a preferred WINS server and an alternate WINS server.


Modem (Advanced Settings window)

Modem

You can configure the detail settings for the dial-up connection using the modem in the Advanced Settings window. To display the window, click the Advanced Settings button in the Settings window (on the Modem tab).
Modem Profile List
Display a list of all profiles used for the dial-up connection.
New button
Creates a new profile.
Edit button
Displays the window to edit the profile you selected in the Modem Profile List.
Delete button
Deletes the profile you selected in the Modem Profile List.
Import button
Imports a profile.
Export button
Exports a profile.

To edit a profile

You can edit a profile in the window displayed by clicking the Edit button.
After editing the profile, click OK.
  • Profile Name
    Enter a profile name.
  • Dial-up Connection Name
    Specify basic information (search keys) for identification of the network your computer has connected to when switching a profile.
  • Device Name
    Displays the name of the modem device which is used by the above dial-up connection.
    You cannot change this setting.
  • Application to Launch
    Specify an executable file for a software application launching automatically. Click Browse and specify the file.
  • Working Folder
    Specify a working folder for a software application launching automatically. Click Browse and specify the folder.
  • Options
    Specify options when a software application launching automatically has startup options.


Restrictions

  • Outdoor use of 5 GHz wireless LAN function is prohibited depending on the country or region.
  • Simultaneous use of 2.4 GHz wireless LAN and the Bluetooth functions may result in poor communication performance and a communication failure due to electromagnetic interference.
  • The Bluetooth function of your computer is under management of the Bluetooth settings manager and the Windows wireless link function. For more information, see the software's help files and the Windows help.
  • The wireless LAN function of your computer is under management of the Windows wireless network function. For more information on the wireless LAN settings, see the Windows help.
  • Placing your computer on Sleep mode automatically deactivate the Bluetooth, wireless LAN, and wireless WAN functions; but bringing your computer back into normal mode will not automatically activate those functions. Activate the function of your interest if necessary. (The wireless LAN and wireless WAN functions may not be activated simultaneously depending on the country or region.)


Troubleshooting

Symptom Possible Cause/Countermeasures
The profile does not switch.
  • Your computer may be connected to the same network you connected to last time. When the automatic switching of network configurations is enabled, VAIO Smart Network saves information on the last network to which a connection was established. For this reason, network configurations are not switched if you connect to the same network consecutively.
  • Your computer may be connected to multiple networks simultaneously. Even if you try to connect to another network, switching may not take place if you are already connected to the network.
The notification window appears frequently. When, for example, two or more wireless LAN access points exist in a location, the notification window appears because network switching is taking place frequently. When this happens, disable automatic switching by clearing the Switch LAN profile automatically check box on the General Setting tab in the Settings window.

Note

This setting disables automatic switching at all times.


Trademarks

Copyright 2007 Sony Corporation

  • VAIO is a trademark of Sony Corporation.
  • The Bluetooth word mark and logos are owned by the Bluetooth SIG, Inc. and any use of such marks by Sony Corporation is under license. Other trademarks and trade names are those of their respective owners.
  • CardGnome
    Copyright (c) 2007 OPTION NV
  • Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.

  • Copying all or part of the contents of this software and Help, or renting the software without authorization is prohibited by copyright laws.
  • Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claims from a third party.
  • This software must not be used on a system other than that specified.
  • The software specifications may be subject to change without notice.